package com.elitesland.system.entity;

import com.elitesland.core.base.BaseModel;
import com.elitesland.system.annotation.Comment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Objects;

/**
 * @author mir
 * @date 2020-09-27
 */
@Entity
@Table(name = "sys_role_permission")
@org.hibernate.annotations.Table(appliesTo = "sys_role_permission", comment = "角色权限关联表")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "角色权限关联表", description = "角色权限关联表")
public class SysRolePermissionDO extends BaseModel implements Serializable {
    private static final long serialVersionUID = 6809202611911165338L;

    @ApiModelProperty(value = "角色ID")
    @Comment("角色ID")
    @Column()
    Long roleId;

    @ApiModelProperty(value = "权限ID")
    @Comment("权限ID")
    @Column()
    Long permissionId;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof SysRolePermissionDO)) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }
        SysRolePermissionDO entity = (SysRolePermissionDO) o;
        return getId().equals(entity.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getId());
    }
}
